OpenNMS API 1.2.9

## org.opennms.netmgt.config.capsd
Class SnmpConfig

    java.lang.Object
      org.opennms.netmgt.config.capsd.SnmpConfig

All Implemented Interfaces:
  java.io.Serializable

public class SnmpConfig
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_definitionList`
`private boolean` `_has_retry` keeps track of state for field: _retry
`private boolean` `_has_timeout` keeps track of state for field: _timeout
`private java.lang.String` `_readCommunity`
`private int` `_retry`
`private int` `_timeout`
`private java.lang.String` `_writeCommunity`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`SnmpConfig()`

Method Summary
`void` `addDefinition(Definition vDefinition)`
`void` `addDefinition(int index, Definition vDefinition)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearDefinition()`
`void` `deleteRetry()`
`void` `deleteTimeout()`
`java.util.Enumeration` `enumerateDefinition()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Definition[]` `getDefinition()`
`Definition` `getDefinition(int index)`
`java.util.Collection` `getDefinitionCollection()`
`int` `getDefinitionCount()`
`java.lang.String` `getReadCommunity()` Returns the value of field 'readCommunity'.
`int` `getRetry()` Returns the value of field 'retry'.
`int` `getTimeout()` Returns the value of field 'timeout'.
`java.lang.String` `getWriteCommunity()` Returns the value of field 'writeCommunity'.
`boolean` `hasRetry()`
`boolean` `hasTimeout()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeDefinition(Definition vDefinition)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setDefinition(Definition[] definitionArray)`
`void` `setDefinition(int index, Definition vDefinition)`
`void` `setDefinitionCollection(java.util.Collection vDefinition)`
`void` `setReadCommunity(java.lang.String readCommunity)` Sets the value of field 'readCommunity'.
`void` `setRetry(int retry)` Sets the value of field 'retry'.
`void` `setTimeout(int timeout)` Sets the value of field 'timeout'.
`void` `setWriteCommunity(java.lang.String writeCommunity)` Sets the value of field 'writeCommunity'.
`static SnmpConfig` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _retry

    private int _retry

### _has_retry

    private boolean _has_retry

  keeps track of state for field: _retry

### _timeout

    private int _timeout

### _has_timeout

    private boolean _has_timeout

  keeps track of state for field: _timeout

### _readCommunity

    private java.lang.String _readCommunity

### _writeCommunity

    private java.lang.String _writeCommunity

### _definitionList

    private java.util.ArrayList _definitionList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### SnmpConfig

    public SnmpConfig()

Method Detail

### addDefinition

    public void addDefinition(Definition vDefinition)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vDefinition` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addDefinition

    public void addDefinition(int index,
                              Definition vDefinition)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vDefinition` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearDefinition

    public void clearDefinition()

### deleteRetry

    public void deleteRetry()

### deleteTimeout

    public void deleteTimeout()

### enumerateDefinition

    public java.util.Enumeration enumerateDefinition()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getDefinition

    public Definition getDefinition(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getDefinition

    public Definition[] getDefinition()

### getDefinitionCollection

    public java.util.Collection getDefinitionCollection()

### getDefinitionCount

    public int getDefinitionCount()

### getReadCommunity

    public java.lang.String getReadCommunity()

  Returns the value of field 'readCommunity'.

  Returns:
    the value of field 'readCommunity'.

### getRetry

    public int getRetry()

  Returns the value of field 'retry'.

  Returns:
    the value of field 'retry'.

### getTimeout

    public int getTimeout()

  Returns the value of field 'timeout'.

  Returns:
    the value of field 'timeout'.

### getWriteCommunity

    public java.lang.String getWriteCommunity()

  Returns the value of field 'writeCommunity'.

  Returns:
    the value of field 'writeCommunity'.

### hasRetry

    public boolean hasRetry()

### hasTimeout

    public boolean hasTimeout()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeDefinition

    public boolean removeDefinition(Definition vDefinition)

  Parameters:
    `vDefinition` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setDefinition

    public void setDefinition(int index,
                              Definition vDefinition)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vDefinition` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setDefinition

    public void setDefinition(Definition[] definitionArray)

  Parameters:
    `definitionArray` -

### setDefinitionCollection

    public void setDefinitionCollection(java.util.Collection vDefinition)

  Parameters:
    `vDefinition` -

### setReadCommunity

    public void setReadCommunity(java.lang.String readCommunity)

  Sets the value of field 'readCommunity'.

  Parameters:
    `readCommunity` - the value of field 'readCommunity'.

### setRetry

    public void setRetry(int retry)

  Sets the value of field 'retry'.

  Parameters:
    `retry` - the value of field 'retry'.

### setTimeout

    public void setTimeout(int timeout)

  Sets the value of field 'timeout'.

  Parameters:
    `timeout` - the value of field 'timeout'.

### setWriteCommunity

    public void setWriteCommunity(java.lang.String writeCommunity)

  Sets the value of field 'writeCommunity'.

  Parameters:
    `writeCommunity` - the value of field 'writeCommunity'.

### unmarshal

    public static SnmpConfig unmarshal(java.io.Reader reader)
                                throws org.exolab.castor.xml.MarshalException,
                                       org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.